Bug 60771 - Allows to use address in pipe ports
Summary: Allows to use address in pipe ports
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: uucp   
(Show other bugs)
Version: 1.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jens Petersen
QA Contact: David Lawrence
URL: http://www.dorchain.net/~joerg/code/u...
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-03-06 11:42 UTC by Joerg Dorchain
Modified: 2007-04-18 16:40 UTC (History)
0 users

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-03-25 14:21:02 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Small patch to allow the descibed functionality (605 bytes, patch)
2002-03-06 11:44 UTC, Joerg Dorchain
no flags Details | Diff

Description Joerg Dorchain 2002-03-06 11:42:47 UTC
Description of Problem:
When you use a pipe to another program as a port, it would be nice to have an
address agument for the remote system, especially when you have several systems
when the port definition only differs the the remote system name..


Version-Release number of selected component (if applicable):
uucp-1.06.1-41

Actual Results:
One port definition per system

Expected Results:
One port definition per method

Additional Information:
This allows a port definition like this
port ssh
type pipe
command /usr/bin/ssh -a -e none -l uucp -x -o batchmode=yes -o
stricthostkeychecking=no \H

and then have several line in your sys file like 
system <name>
address <FDQN>
port ssh


As another idea, port tcp could be replaced with this patch and netcat.

Comment 1 Joerg Dorchain 2002-03-06 11:44:36 UTC
Created attachment 47581 [details]
Small patch to allow the descibed functionality

Comment 2 Bill Huang 2002-06-10 03:22:53 UTC
it is fixed in rawhide,thanks for your patch.


Note You need to log in before you can comment on or make changes to this bug.